For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all the sub-accounts of the master account.
      • POSTCreate a new sub-account under a master account.
      • GETGet sub-account details
      • DELDelete a sub-account
      • PUTUpdate sub-account plan
      • PUTUpdate sub-accounts plan
      • POSTGenerate SSO token to access admin account
      • POSTGenerate SSO token to access sub-account
      • GETGet the details of requested master account
      • POSTCreate an API key for a sub-account
      • PUTEnable/disable sub-account application(s)
      • POSTCreate a new group of sub-accounts
      • GETList of all IPs
      • POSTAssociate an IP to sub-accounts
      • PUTDissociate an IP to sub-accounts
      • GETGET a group details
      • PUTUpdate a group of sub-accounts
      • DELDelete a group
      • PUTDelete sub-account from group
      • POSTSend invitation to an admin user
      • PUTResend / cancel admin user invitation
      • DELRevoke an admin user
      • GETGet the list of all admin users
      • GETCheck admin user permissions
      • PUTChange admin user permissions
      • GETGet the list of groups
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsMaster Account

Associate an IP to sub-accounts

POST
https://api.brevo.com/v3/corporate/subAccount/ip/associate
POST
/v3/corporate/subAccount/ip/associate
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.masterAccount.associateAnIpToSubAccounts({
8 ids: [
9 234322,
10 325553,
11 893432,
12 ],
13 ip: "103.11.32.88",
14 });
15}
16main();
1[]

This endpoint allows to associate an IP to sub-accounts

Was this page helpful?
Previous

Dissociate an IP to sub-accounts

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

This endpoint expects an object.
idslist of longsRequired

Pass the list of sub-account Ids to be associated with the IP address

ipstringRequired
IP address

Response

IP has been associated with sub-accounts successfully

Errors

400
Bad Request Error